| Classes - Annotated - Tree - Functions - Home - Structure

# QDataPump Class Reference

Moves data from a QDataSource to a QDataSink during event processing. More...

`#include <qasyncio.h>`

Inherits QObject.

List of all member functions.

## Public Members

- QDataPump ( QDataSource *, QDataSink * )

## Detailed Description

Moves data from a QDataSource to a QDataSink during event processing.

For a QDataSource to provide data to a QDataSink, a controller must exist to examine the QDataSource::readyToSend() and QDataSink::readyToReceive() methods and respond to the QASyncIO::activate() signal of the source and sink. One very useful way to do this is interleaved with other event processing. QDataPump provides this - create a pipe between a source and a sink, and data will be moved during subsequent event processing.

Note that each source can only provide data to one sink and each sink can only receive data from one source (although it is quite possible to write a multiplexing sink that is multiple sources).

## Member Function Documentation

### QDataPump::QDataPump ( QDataSource * data_source, QDataSink * data_sink )

Constructs a QDataPump to move data from a given data_source to a given data_sink.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.